package com.live.mylivewallpaper.viewholder;


import androidx.annotation.NonNull;
import androidx.recyclerview.widget.RecyclerView;
import androidx.viewbinding.ViewBinding;

public class MainViewHolder<T extends ViewBinding> extends RecyclerView.ViewHolder {

    private T itemVb;

    public MainViewHolder(@NonNull T itemView) {
        super(itemView.getRoot());
        itemVb = itemView;
    }

    public T getItemVb() {
        return itemVb;
    }
}
